# EllipsoidRhumbLine

#### new Cesium.EllipsoidRhumbLine(start, end, ellipsoid)
Core/EllipsoidRhumbLine.js 266

Initializes a rhumb line on the ellipsoid connecting the two provided planetodetic points.

Name | Type | Default | Description
--- | --- | --- | ---
`start` | Cartographic |  | optional The initial planetodetic point on the path.
`end` | Cartographic |  | optional The final planetodetic point on the path.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the rhumb line lies.

##### Throws:

- DeveloperError : angle between start and end must be at least 0.0125 radians.

### Members

#### readonly ellipsoid : Ellipsoid
Core/EllipsoidRhumbLine.js 289

Gets the ellipsoid.

#### readonly end : Cartographic
Core/EllipsoidRhumbLine.js 329

Gets the final planetodetic point on the path.

#### readonly heading : Number
Core/EllipsoidRhumbLine.js 341

Gets the heading from the start point to the end point.

#### readonly start : Cartographic
Core/EllipsoidRhumbLine.js 317

Gets the initial planetodetic point on the path.

#### readonly surfaceDistance : Number
Core/EllipsoidRhumbLine.js 301

Gets the surface distance between the start and end point

### Methods

#### static Cesium.EllipsoidRhumbLine.fromStartHeadingDistance(start, heading, distance, ellipsoid, result) → EllipsoidRhumbLine
Core/EllipsoidRhumbLine.js 362

Create a rhumb line using an initial position with a heading and distance.

Name | Type | Default | Description
--- | --- | --- | ---
`start` | Cartographic |  | The initial planetodetic point on the path.
`heading` | Number |  | The heading in radians.
`distance` | Number |  | The rhumb line distance between the start and end point.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the rhumb line lies.
`result` | EllipsoidRhumbLine |  | optional The object in which to store the result.

##### Returns:

The EllipsoidRhumbLine object.

#### findIntersectionWithLatitude(intersectionLatitude, result) → Cartographic
Core/EllipsoidRhumbLine.js 516

Provides the location of a point at the indicated latitude along the rhumb line. If the latitude is outside the range of start and end points, the first intersection with the latitude from that start point in the direction of the heading is returned. This follows the spiral property of a rhumb line.

Name | Type | Description
--- | --- | ---
`intersectionLatitude` | Number | The latitude, in radians, at which to find the intersection point from the starting point using the heading.
`result` | Cartographic | optional The object in which to store the result.

##### Returns:

The location of the intersection point along the rhumb line, undefined if there is no intersection or infinite intersections.

##### Throws:

- DeveloperError : start and end must be set before calling function findIntersectionWithLongitude.

#### findIntersectionWithLongitude(intersectionLongitude, result) → Cartographic
Core/EllipsoidRhumbLine.js 444

Provides the location of a point at the indicated longitude along the rhumb line. If the longitude is outside the range of start and end points, the first intersection with the longitude from the start point in the direction of the heading is returned. This follows the spiral property of a rhumb line.

Name | Type | Description
--- | --- | ---
`intersectionLongitude` | Number | The longitude, in radians, at which to find the intersection point from the starting point using the heading.
`result` | Cartographic | optional The object in which to store the result.

##### Returns:

The location of the intersection point along the rhumb line, undefined if there is no intersection or infinite intersections.

##### Throws:

- DeveloperError : start and end must be set before calling function findIntersectionWithLongitude.

#### interpolateUsingFraction(fraction, result) → Cartographic
Core/EllipsoidRhumbLine.js 410

Provides the location of a point at the indicated portion along the rhumb line.

Name | Type | Description
--- | --- | ---
`fraction` | Number | The portion of the distance between the initial and final points.
`result` | Cartographic | optional The object in which to store the result.

##### Returns:

The location of the point along the rhumb line.

#### interpolateUsingSurfaceDistance(distance, result) → Cartographic
Core/EllipsoidRhumbLine.js 423

Provides the location of a point at the indicated distance along the rhumb line.

Name | Type | Description
--- | --- | ---
`distance` | Number | The distance from the inital point to the point of interest along the rhumbLine.
`result` | Cartographic | optional The object in which to store the result.

##### Returns:

The location of the point along the rhumb line.

##### Throws:

- DeveloperError : start and end must be set before calling function interpolateUsingSurfaceDistance

#### setEndPoints(start, end)
Core/EllipsoidRhumbLine.js 394

Sets the start and end points of the rhumb line.

Name | Type | Description
--- | --- | ---
`start` | Cartographic | The initial planetodetic point on the path.
`end` | Cartographic | The final planetodetic point on the path.